function ProcessGUI()
	WidgetSetCaption( w_lives[1], "LIVES: "..players[1].lives )
	WidgetSetCaption( w_score[1], "SCORE: "..players[1].score )
	WidgetSetVisible( w_lives[1], true )
	WidgetSetVisible( w_score[1], true )
	if players_num > 1 then
		WidgetSetVisible( w_lives[2], true )
		WidgetSetVisible( w_score[2], true )
		WidgetSetCaption( w_lives[2], "LIVES: "..players[2].lives )
		WidgetSetCaption( w_score[2], "SCORE: "..players[2].score )
	else
		WidgetSetVisible( w_lives[2], false )
		WidgetSetVisible( w_score[2], false )
	end
end

w_lives = 
{ 
	CreateWidget( constants.wt_Label, "LIVES", nil, 0, CONFIG.scr_height-20, 1, 1 ),
	CreateWidget( constants.wt_Label, "LIVES", nil, CONFIG.scr_width - 100, CONFIG.scr_height-20, 1, 1 ),
}
w_score = 
{ 
	CreateWidget( constants.wt_Label, "LIVES", nil, 0, CONFIG.scr_height-10, 1, 1 ),
	CreateWidget( constants.wt_Label, "LIVES", nil, CONFIG.scr_width - 100, CONFIG.scr_height-10, 1, 1 ) 
}

function HideGUI( destroy )
	for i=1,2 do
		if destroy then
			DestroyWidget( w_lives[i] )
			DestroyWidget( w_score[i] )
		else
			WidgetSetVisible( w_lives[i], false )
			WidgetSetVisible( w_score[i], false )
		end
	end
end

function ResetGUI()
	HideGUI()
	for key, value in pairs(useless_widgets) do
		DestroyWidget( key )
	end
	useless_widgets = {}
end